# El manual de &konsole;

Jonathan
Singer

    jsinger@leeta.net

Lars
D&ouml;lle
Desarrollador

    lars.doelle@on-line.de

Michael
McBride
Revisor

    mmcbride@ematic.com

Lauri
Watts
Revisor

    vampyr@atconnex.net

Carlos
García Argos
Traductor

    garcia@ieee.org

2000
Jonathan Singer
&FDLNotice;
15/11/2000
1.00.10

Este documento es el manual de usuario para la aplicación &konsole;.

&konsole; es un emulador de terminal X para KDE 2.0

KDE
konsole
kdebase
command
line
Spanish

## Introducción a &konsole;

&konsole; es un emulador de terminal X que proporciona un interfaz para línea de comandos (CLI) usando el Entorno de Escritorio K. &konsole; ayuda a organizar mejor el escritorio del usuario conteniendo sesiones múltiples en una sola ventana (lo que resulta en un escritorio más ordenado).

Sus características avanzadas incluyen una configuración sencilla y la capacidad de usar múltiples terminales de shell en una sola ventana.

Usando &konsole;, un usuario puede abrir:

- Sesiones de consola Linux

- Sesiones del administrador de archivos Midnight Commander

- Sesiones de shell

- Sesiones de consola root

Estas sesiones pueden renombrarse para ayudarle a tener localizadas todas sus shells, o se les puede enviar señales (STOP, CONT, HUP, INT, TERM, KILL).

Para un mayor control sobre &konsole;, un usuario puede:

- esconder/mostrar la barra de menú, de herramientas y/o el marco

- seleccionar el tamaño, fuentes, esquemas de colores y mapeado de teclado de una ventana de &konsole;

- cambiar la posición de la barra de scroll o esconderla

Todas las opciones elegidas pueden hacerse predeterminadas para las próximas sesiones guardándolas.

### Historia

Para los interesados en la taxonomía de los terminales X libres, hay otros dos de este tipo: xterm, el original escrito incluso antes que X (un mes o así), y xvt, un clon de xterm más ligero, en el que se basan la mayoría de los derivados actuales (principalmente eterm).

Tras una década, &konsole; es la primera revisión desde el principio. Mientras que xterm ha sido abandonado a morir (su archivo `README` empieza con las palabras Abandona toda esperanza, tú que entras aquí), &konsole; ofrece un inicio agradable usando tecnologías actuales y comprensión de X.

## Instalación

&konsole; forma parte del paquete base de KDE 2.0. Se instalará automáticamente y necesita KDE 2.0 para funcionar.

Para más información, debería visitar la web de KDE en http://www.kde.org/

Para conseguir &konsole; por separado, descargue el paquete kdebase, compile e instale como se indica en el directorio principal del paquete. Las nuevas versiones de kdebase se pueden conseguir en ftp://ftp.kde.org/pub/

Para compilar e instalar &konsole;:

    $  cd kdebase/konsole
    $  ./configure
    $  make
    Luego como root:
    #  make install

## Uso de &konsole;

### Inicio

Cuando &konsole; se inicia, corre una aplicación (normalmente una shell Unix) en la ventana. Simplemente escriba en la línea de comandos.

Pantalla de &konsole;
Pantalla de &konsole;

### Historial

Según las líneas se desplazan fuera de la parte superior de la pantalla, se pueden volver a ver moviendo la barra de desplazamiento hacia arriba, o usando las teclas ShiftRe Pag (para moverse una página atrás), ShiftAv Pag (para moverse una página adelante), ShiftArriba (para moverse una línea arriba) y ShiftAbajo (para moverse una línea abajo (siempre y cuando la opción "Historial" esté activada).

### Botones del ratón

Izquierdo

  El clic con el botón izquierdo del ratón se pasa como un evento a la aplicación que ejecuta la emulación, si soporta el uso del ratón. Si un programa va a reaccionar a pulsaciones de ratón, &konsole; lo indica mostrando un cursor con forma de flecha. Si no, se muestra una barra con forma de I.

  Manteniendo pulsado el botón izquierdo y arrastrando el puntero por la pantalla con una aplicación que no soporte el uso del ratón seleccionará una región de texto. Mientras se arrastra, el texto marcado se muestra en vídeo inverso para mejor efecto visual. Cuando se suelta el botón, el texto marcado se copia al portapapeles para que se pueda usar más tarde con &konsole; u otra aplicación.

  Normalmente, se insertan caracteres de salto de línea al final de cada línea seleccionada. Esto es mejor para cortar y pegar código fuente, o la salida de un comando en particular. Para texto normal, los saltos de línea no suelen ser importantes. A veces uno preferiría que el texto sea una cadena de caracteres que se reformatearán automáticamente al pegarlos en otra aplicación. Para seleccionar el modo de texto como cadena, mantenga pulsada la tecla Ctrl mientras seleccione de forma normal.

  Si se llega al filo superior o inferior del área de texto mientras se está seleccionando, &konsole; hace un scroll arriba o abajo, posiblemente mostrando texto del historial del buffer. El scroll termina cuando el ratón deja de moverse.

  Después de que se suelte el botón del ratón, &konsole; trata de mantener el texto visible en el portapapeles manteniendo para ello el área seleccionada en vídeo inverso. El área marcada vuelve a vídeo normal tan pronto como se altere el contenido del portapapeles, se modifique el texto del área marcada o se pulse el botón izquierdo del ratón.

  Para marcar texto en una aplicación que soporte el ratón, debe pulsarse la tecla Shift al hacer clic.

Central

  Pulsando el botón central se pega el contenido del portapapeles.

  Si tiene un ratón con sólo dos botones, al pulsar a la vez los botones izquierdo y derecho se emula el botón central de un ratón con tres botones.

Derecho

  El botón derecho muestra el menú de Opciones. La combinación Ctrl botón derecho muestra el menú Archivo, mientras que la combinación Shift botón derecho muestra el menú Sesiones.

### Barra de Menú

La barra de menú está en la parte superior de la ventana de &konsole;. Se puede esconder y restaurar cambiando Mostrar barra de menú en el menú Opciones. Cuando se oculta la barra de menú, Mostrar barra de menú, se puede llegar a ella haciendo clic en la ventana con el botón derecho.

#### El menú Archivo

Archivo Consola Linux

  Abre una nueva sesión emulando un sistema Linux de sólo texto.

  Vea el archivo `README.linux.console` para información más detallada de las diferencias entre una consola Linux y una consola Unix típica

Archivo Midnight Commander

  Abre una sesión del administrador de archivos Midnight Commander

Archivo Shell

  Abre una nueva sesión con un terminal de shell

Archivo Consola Root

  Abre una nueva sesión con un terminal de shell, como usuario root.

  Después de preguntar por la clave de root, aparece el símbolo #, indicando que el usuario está trabajando con privilegios de root. Esto a veces es necesario para instalar nuevo software y otro mantenimiento del sistema, pero debe tenerse cuidado para evitar daños accidentales al sistema.

Archivo Cerrar

  Sale de &konsole;, cerrando todas las sesiones y cualquier aplicación cargada desde ellas.

#### El menú Sesiones

Sesiones Mandar señal

  Enviar señal - envía la señal especificada al proceso de shell, o a otros procesos, que se ejecutó cuando se inició la nueva sesión.

  Las señales disponibles son:

  STOP | para detener el proceso
  CONT | continúa si está parado
  HUP | detectado cuelgue del terminal controlador, o muerte del proceso controlador
  INT | interrupción del teclado
  TERM | señal de terminar
  KILL | señal de matar

  Acuda a las páginas del manual de su sistema para más detalles ejecutando el comando ``man` `7 señal``

Sessions Rename Session...

  Changes the name of the active session

Sesiones Iconos de sesiones...

  En la parte inferior del menú hay una lista de las sesiones disponibles. Seleccionando una se hace dicha sesión activa.

  Se pueden usar también las teclas MayúsculasIzquierda/MayúsculasDerecha para circular a través de las sesiones disponibles.

#### El menú Opciones

Opciones Renombrar Sesión...

  Cambia el nombre de la sesión activa

Opciones Mostrar Barra de Menú

  Muestra o esconde la barra de menú

Opciones Mostrar barra de herramientas

  Muestra o esconde la barra de herramientas

Opciones Mostrar Marco

  Muestra o esconde el marco del lado de la ventana

Opciones Barra de desplazamiento

  Controla la situación de la barra de desplazamiento: ocultar, izquierda o derecha

Opciones Pantalla completa

  Cambia entre ventana a pantalla completa y tamaño normal

Opciones Tamaño

  Escoge el tamaño del área de texto (dado en columnas x filas)

Opciones Fuentes

  Escoge el tamaño de la fuente

Opciones Esquema

  Escoge los colores del texto y el fondo

  La lista de los esquemas se toma de `$KDEDIR/apps/konsole/*.schema`. Añada o modifique estos archivos como desee.

Opciones Historia

  Activa o desactiva guardar las líneas que se han desplazado fuera de la parte superior de la ventana

Opciones Codec

  Todavía no implementado

Opciones Teclado

  Escoge el mapeado del teclado deseado

  La lista de estos mapeados de teclas se toma de `$KDEDIR/apps/konsole/*.keymap`. Añada o modifique estos archivos como desee.

Opciones Guardar Opciones

  Guarda la configuración actual como las nuevas opciones predeterminadas

#### El menú Ayuda

F1 Ayuda Contenido...

  Abre la Tabla de contenidos de este documento.

Ayuda Referencia Técnica

  Da información detallada sobre la emulación de terminal y &konsole;

Ayuda Informar de error...

  Remitir un informe de fallo o petición de características para &konsole;

Ayuda Acerca de Konsole...

  Información sobre el autor de &konsole;

Ayuda Acerca de KDE...

  Información sobre el proyecto KDE

### La barra de herramientas

La barra de herramientas está situada en la parte inferior de la ventana de &konsole;.

Se puede esconder y restaurar cambiando Mostrar barra de herramientas en el menú Opciones o haciendo clic en el asa con textura en el lado izquierdo de la barra. La barra contiene un icono Nuevo e iconos para las sesiones abiertas. Haciendo clic es Nuevo se abre una nueva sesión de shell.

Haciendo clic en el icono de una sesión existente hace activa esa sesión.

Cuando se oculta la barra de herramientas, se pueden usar las teclas Mayúsculas Izquierda y Mayúsculas Derecha para moverse entre sesiones.

### Opciones de línea de comandos

Cuando se inicia &konsole; desde la línea de comandos, se pueden especificar varias opciones para modificar su comportamiento.

`--help`

  Lista las opciones

`--name`

  Escoge el nombre que aparecerá en la barra de título

`--ls`

  Inicia una shell

`--nowelcome`

  Suprime el mensaje "Bienvenido a la consola" que aparece normalmente en la barra de título

`--title`

  Pone el título de la ventana

`--nohist`

  Desactiva la opción de guardar las líneas que se salen de la parte superior de la ventana

`--notoolbar`

  Inicia &konsole; sin barra de herramientas

`--vt_sz CCxLL`

  Inicia un terminal de CC columnas y LL líneas

`-e <comando>`

  Ejecuta el <comando> en lugar de una shell

Por ejemplo:

    bash$ konsole --vt_sz 90x25 --nohist

inicia una ventana de &konsole; con 90 columnas y 25 filas sin historia

&konsole; también acepta opciones genéricas de &Qt; y KDE:

`--author`

  Muestra los nombres de los autores

`--V`

  Muestra el número de versión

`--help-qt`

  Muestra las opciones específicas de Qt

`--help-kde`

  Muestra las opciones específicas de KDE

`--help-all`

  Muestra todas las opciones

## Créditos y Copyright

La aplicación &konsole; copyright 1997-2000 Lars D&ouml;elle lars.doelle@on-line.de

Este documento fue escrito por Jonathan Singer jsinger@genome.wi.mit.edu

Convertido a DocBook SGML por Michael McBride mmcbride@ematic.com y Lauri Watts vampyr@atconnex.net

Traducido al Castellano por Carlos García Argos garcia@ieee.org

&underFDL; &underGPL;